### Constructor

# FwupdPlugin MsgpackItem new_binary

since: 2.0.0

#### Declaration [src]

    FuMsgpackItem*
    fu_msgpack_item_new_binary (
      GByteArray* buf
    )

#### Description [src]

Creates a new msgpack item.

Available since: 2.0.0

#### Parameters

`buf`

  Type: An array of `guint8`

  A `GByteArray`.

  The data is owned by the caller of the function.

#### Return value

Type: `FuMsgpackItem`

A `FuMsgpackItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.